/* THEME VARIABLES */
:root {
    --primary: #1b2b43;
    --secondary: #fbfbfb;
    --accent: #0c1437;
    --bg: #dbebfb;
    --text: #111827;
    --muted: #9198a7;
    --border: #d7d9db;
}

/* RESET */
* { margin: 0; padding: 0; box-sizing: border-box; }

body {
    font-family: Arial, sans-serif;
    background: var(--bg);
    color: var(--text);
    margin: auto;
}

a{
    color: inherit;
    font-weight: bold;
    text-decoration: underline;
    
}

a:visited{
    color: inherit;
}


/* HEADER */
header {
    background: var(--primary);
    color: var(--secondary);
}

.header-container {
    max-width: 960px;
    margin: auto;
    padding: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.logo { 
    height: 75px;
    width: auto;
 }

.navbar {
    display: flex;
    gap: 20px;
}

.navbar a, .bottom-nav a{
    color: var(--secondary);
    text-decoration: none;
    text-align: center;
}
.primary{
    background: var(--primary) !important;
    border: 2px outset var(--primary) !important;
    color: white !important;
}
.success{
    background: #299d35 !important;
    border: 2px outset #299d35 !important;
    color: white !important;
}
.error{
    background: #cb4040  !important;
    border: 2px outset #cb4040 !important;
    color: white !important;
}
.alert{
    background: #f7c614 !important;
    border: 2px outset #f7c614 !important;
    color: black !important;
}
.cyan{
    background: #08D9D6 !important;
    border: 2px outset #08D9D6 !important;
    color: black !important;
}

.blue{
    background: #2962FF !important;
    border: 2px outset #2962FF !important;
    color: #fff !important;
}
.navbar a:hover { color: var(--accent); }


.marquee-box {
    background: #f7c614;
    color: #000000;
}

/* MAIN */
main {
    max-width: 960px;
    margin: 20px auto;
    padding: 0 20px;
}
/* TABLE WRAPPER (for horizontal scroll on mobile) */
.table-wrapper {
    width: 100%;
    overflow-x: auto;
    margin: 10px 0;
}

/* TABLE */
.custom-table {
    width: 100%;
    border-collapse: collapse;
    border: 1px solid var(--bg);
    border-radius: 6px;
    overflow: hidden;
}

/* HEADER */
.custom-table thead {
    background: var(--primary);
    color: var(--secondary);
}

.custom-table th {
    padding: 12px;
    text-align: left;
    font-size: 14px;
}

/* BODY */
.custom-table td {
    padding: 12px;
    border-top: 1px solid var(--border);
    font-size: 14px;
}
.custom-table tbody tr{
    background-color: #fff;
}
.header-row {
    background: #fff;
    font-weight: bold;
    /* border-left: 8px solid #FF5252; */
    box-shadow: inset 6px 0 0 #FF5252;
}
.header-row td{
    color: #FF5252;
}
.footer-row {
    background-color: transparent !important;
}
/* ROW HOVER EFFECT */
.custom-table tbody tr {
    transition: background 0.25s ease, transform 0.15s ease;
}

.custom-table tbody tr:not(.header-row):not(.footer-row):hover {
    background: var(--primary); /* soft accent */
    transform: scale(1.01);
    cursor: pointer;
    color:#fff
}
.row-actions {
    display: flex;
    justify-content: space-between;
    gap: 10px;
}
.row-actions .btn {
    padding: 10px 30px;
    border: none;
    background: var(--accent);
    color: #fff;
    border-radius: 4px;
    cursor: pointer;
    text-align: center;
}
/* RESULT GRID */
.results-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 15px;
}

/* CARD */
.card {
    background: var(--secondary);
    padding: 15px;
    border-radius: 6px;
    border: 1px solid var(--border);
    text-align: center;
}

.card h2 {
    font-size: 16px;
    margin-bottom: 10px;
}

.number {
    font-size: 24px;
    font-weight: bold;
}

/* FOOTER */
footer {
    background: var(--primary);
    color: var(--muted);
    margin-top: 20px;
}

.footer-container {
    max-width: 1200px;
    margin: auto;
    padding: 20px;
    text-align: center;
}

.footer-links a {
    color: var(--muted);
    margin: 0 10px;
    text-decoration: none;
}


/* Form Row */
.chart-form {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;    
    margin-top: 10px;
}

/* Inputs */
.chart-form select,
.chart-form button {
    padding: 10px;
    border: 1px solid var(--border);
    border-radius: 4px;
    font-size: 14px;
    width: 100%;
}


/* Button */
.chart-form button {
    background: var(--accent);
    color: #fff;
    border: none;
    cursor: pointer;
}

.chart-form button:hover {
    opacity: 0.9;
}


/* FAQ Section */

.faq-wrapper{
    margin-top:20px;
}

.faq-main-toggle,
.faq-question{
    width:100%;
    padding:10px;
    border:none;
    cursor:pointer;
    text-align:left;
    font-weight:bold;
}

.faq-main-toggle{
    font-size:18px;
}

.faq-question{
    margin-top:10px;
}

.faq-answer{
    display:none;
    padding:10px;
    background-color: #fff;
}

.faq-item.active .faq-answer{
    display:block;

}

.faq-section{
    display:none;
}
.record-chart {
    color: #668efd;
}

/* RESPONSIVE */
@media (max-width: 992px) {

    .navbar { display: none; }
    .header-container {
        justify-content: center;
    }

    .results-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 600px) {
    .logo { 
        height: 60px;
        width: auto;
    }
    main {
        padding: 0 5px;
    }
    h1{
        font-size: 22px;
    }
    h2{
        font-size: 18px;
    }
    h3{
        font-size: 16px;
    }
    p{
        font-size: 14px;
    }
    marquee h1{
        font-size: 20px;
    }
    .results-grid {
        grid-template-columns: 1fr;
    }
    .custom-table th,
    .custom-table td {
        padding: 10px 5px;
        font-size: 13px;
    }
    .chart-form {
        grid-template-columns: repeat(2, 1fr);
    }

    /* Make button go to next row */
    .chart-form button {
        grid-column: span 2;   /* full width */
        max-width: 200px;      /* same visual size */
        margin: 0 auto;        /* center */
    }
}